%define		_varspooldir	/var/spool

Name:           smstools
Version:        2.2.18
Release:        1%{?dist}
Summary:        Tools for send and receive short messages through GSM modems or mobile phones

License:        GPLv2
Group:          Applications/Communications
URL:            http://smstools.meinemullemaus.de/
Source0:	http://www.meinemullemaus.de/smstools/packages/%{name}-%{version}.tar.gz
Patch0:		smstools.fix.paths.patch
Patch1:		smstools.fix.initscript.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
The SMS Server Tools send and receive short messages
through GSM modems or mobile phones. You can send short messages
by simply storing text files into a special spool directory.

%prep
%setup -n %{name}
%patch0 -p1 -b .initscript
%patch1 -p1 -b .pathes

%build
make -C src 'CFLAGS=%{optflags} -DPREFIX=\"%{%_bindir}\" -DNOSTATS' %{_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
install -Dm 755 src/smsd $RPM_BUILD_ROOT%{_bindir}/smsd
install -m 755 scripts/sendsms $RPM_BUILD_ROOT%{_bindir}/sendsms
install -m 755 scripts/sms2html $RPM_BUILD_ROOT%{_bindir}/sms2html
install -m 755 scripts/sms2unicode $RPM_BUILD_ROOT%{_bindir}/sms2unicode
install -m 755 scripts/unicode2sms $RPM_BUILD_ROOT%{_bindir}/unicode2sms
install -Dm 644 examples/smsd.conf.easy $RPM_BUILD_ROOT%{_sysconfdir}/smsd.conf
install -Dm 755 scripts/sms $RPM_BUILD_ROOT%{_initrddir}/%{name}
install -d $RPM_BUILD_ROOT%{_varspooldir}/sms/incoming
install -d $RPM_BUILD_ROOT%{_varspooldir}/sms/outgoing
install -d $RPM_BUILD_ROOT%{_varspooldir}/sms/checked


%post
if [ "$1" == "1" ]; then
        /sbin/chkconfig --add %{name}
fi

%preun
if [ $1 -eq 0 ]; then
    /sbin/service %{name} stop >/dev/null 2>&1
    /sbin/chkconfig --del %{name}
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc license readme doc/* examples/*
%config(noreplace) %{_sysconfdir}/smsd.conf
%{_bindir}/smsd
%{_bindir}/sendsms
%{_bindir}/sms2html
%{_bindir}/sms2unicode
%{_bindir}/unicode2sms
%{_initrddir}/%{name}
%{_varspooldir}/sms


%changelog
* Sat Nov 10 2007 Marek Mahut <mmahut@fedoraproject.org> - 2.2.18-1
- Initial build.
